Bug 1731642 - firefox-wayland: livemarks appear all over the place or don't appear at all
Summary: firefox-wayland: livemarks appear all over the place or don't appear at all
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ffwayland
TreeView+ depends on / blocked
 
Reported: 2019-07-20 09:10 UTC by Julian Sikorski
Modified: 2019-07-25 09:58 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-25 09:58:21 UTC


Attachments (Terms of Use)
screencast of the odd behaviour (1.13 MB, video/webm)
2019-07-20 09:10 UTC, Julian Sikorski
no flags Details
screencast with upstream 69.0b7 (1.62 MB, video/webm)
2019-07-23 19:22 UTC, Julian Sikorski
no flags Details
screencast with upstream 70.0a1 (2.01 MB, video/webm)
2019-07-23 19:29 UTC, Julian Sikorski
no flags Details

Description Julian Sikorski 2019-07-20 09:10:01 UTC
Created attachment 1592213 [details]
screencast of the odd behaviour

Description of problem:
With firefox-wayland, the livemarks using bookmarks bar either appear in the wrong place, on top of the screen (when hovering from the right to left) or do not appear at all (when hovering from the left to the right). With another Fedora installation using x.org everything works as expected

Version-Release number of selected component (if applicable):
68.0-4.fc30.x86_64

How reproducible:
most of the time

Steps to Reproduce:
1. install firefox-wayland
2. install livemarks: https://addons.mozilla.org/en-US/firefox/addon/livemarks/
3. add a bunch of livemarks
4. click one livemark and hover the cursor to another one

Actual results:
livemarks appear not where the cursor is or not at all

Expected results:
livemarks appear where the cursor is

Additional info:
I tried to capture the erroneous behavious with a screencast

Comment 1 Julian Sikorski 2019-07-20 09:13:38 UTC
https://bugzilla.mozilla.org/show_bug.cgi?id=1567434 might be related

Comment 2 Martin Stransky 2019-07-23 14:27:33 UTC
Can you please test Firefox nightly? (https://fedoraproject.org/wiki/How_to_debug_Firefox_problems?rd=Bug_info_Firefox#Testing_Mozilla_binaries). Should be fixed already.

Comment 3 Martin Stransky 2019-07-23 14:36:27 UTC
Hm, I see you use livemark extension. Can you try it without the extension, just with the bookmark toolbar and latest nightly? Thanks.

Comment 4 Julian Sikorski 2019-07-23 19:22:43 UTC
Created attachment 1592952 [details]
screencast with upstream 69.0b7

It does not look like it is fixed with 69.0b7. I added the bookmarks using livemarks and uninstalled the extension afterwards.
In the video, only every second bookmark appears when hovering from left to right.

Comment 5 Julian Sikorski 2019-07-23 19:29:59 UTC
Created attachment 1592953 [details]
screencast with upstream 70.0a1

70.0a1 exhibits the same behaviour

Comment 6 Martin Stransky 2019-07-25 09:57:57 UTC
(In reply to Julian Sikorski from comment #4)
> Created attachment 1592952 [details]
> screencast with upstream 69.0b7
> 
> It does not look like it is fixed with 69.0b7. I added the bookmarks using
> livemarks and uninstalled the extension afterwards.
> In the video, only every second bookmark appears when hovering from left to
> right.

It's https://bugzilla.mozilla.org/show_bug.cgi?id=1567434 then, Thanks.


Note You need to log in before you can comment on or make changes to this bug.